%define upstream_name    Padre-Plugin-PerlTidy
%define upstream_version 0.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Format perl files using Perl::Tidy
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Padre/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.620.0
BuildRequires: perl(Padre::Plugin) >= 0.920.0
BuildRequires: perl(Params::Util) >= 1.40.0
BuildRequires: perl(Perl::Tidy) >= 20101217.0.0
BuildRequires: perl(Test::More) >= 0.420.0
BuildRequires: x11-server-xvfb
BuildArch:  noarch

%description
This is a simple plugin to run Perl::Tidy on your source code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
xvfb-run %{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

# no testing, wx fails with missing display
#%%check
#%%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Thu Mar 31 2022 umeabot <umeabot> 0.220.0-10.mga9
+ Revision: 1837508
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.220.0-9.mga8
+ Revision: 1496314
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.220.0-8.mga7
+ Revision: 1270249
- Mageia 7 Mass Rebuild

* Fri May 20 2016 tv <tv> 0.220.0-7.mga6
+ Revision: 1017125
- use std build macros; prevent commented macros to break build

* Tue Feb 02 2016 umeabot <umeabot> 0.220.0-6.mga6
+ Revision: 931979
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.220.0-5.mga5
+ Revision: 745310
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.220.0-3.mga4
+ Revision: 513948
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.220.0-2.mga3
+ Revision: 371449
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 jquelin <jquelin> 0.220.0-1.mga2
+ Revision: 219979
- update to 0.22

* Wed Jan 25 2012 jquelin <jquelin> 0.210.0-1.mga2
+ Revision: 200970
- update to 0.21

* Mon Dec 12 2011 jquelin <jquelin> 0.190.0-1.mga2
+ Revision: 180978
- update to 0.19

* Mon Jan 24 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 37645
- mageia rebuild
- imported package perl-Padre-Plugin-PerlTidy

